-- Note: Mage, Priest and Warlock all get a common set of buff priorities,
--       but any special buff priorities gets kept.
-- Also, the abilities named <Stat> are from Scrolls. 
-- They are not particularly awesome, hence why they get removed.
REMOVEUSELESSBUFFS_BUFF_DATABASE = {
	DRUID = {
		["Fire Shield"] = 2;
		["Thorns"] = 3;
		["Agility"] = 3;
		["Strength"] = 3;
		["Intellect"] = 4;
		["Spirit"] = 4;
		["Stamina"] = 5;
	};
	HUNTER = {
		["Fire Shield"] = 1;
		["Thorns"] = 1;
		["Spirit"] = 3;
		["Intellect"] = 4;
		["Strength"] = 4;
		{"Juju Power"] = 4;
		["Agility"] = 5;
		["Stamina"] = 5;
	};
	MAGE = {
	};
	PALADIN = {
		["Fire Shield"] = 2;
		["Thorns"] = 3;
		["Agility"] = 3;
		["Strength"] = 3;
		["Intellect"] = 4;
		["Spirit"] = 4;
		["Stamina"] = 5;
	};
	PRIEST = {
	};
	ROGUE = {
		["Arcane Intellect"] = 1;
		["Arcane Brilliance"] = 1;
		["Blessing of Wisdom"] = 1;
		["Greater Blessing of Wisdom"] = 1;
		["Intellect"] = 1;
		["Juju Guile"] = 1;
		["Spirit"] = 1;
		["Divine Spirit"] = 1;
		["Prayer of Spirit"] = 1;
		["Fire Shield"] = 2;
		["Thorns"] = 3;
		["Strength"] = 4;
		["Agility"] = 5;
	};
	SHAMAN = {
		["Fire Shield"] = 2;
		["Thorns"] = 3;
		["Agility"] = 3;
		["Strength"] = 3;
		["Intellect"] = 4;
		["Spirit"] = 4;
		["Stamina"] = 5;
	};
	WARLOCK = {
	};
	WARRIOR = {
		["Arcane Intellect"] = 1;
		["Arcane Brilliance"] = 1;
		["Blessing of Wisdom"] = 1;
		["Greater Blessing of Wisdom"] = 1;
		["Intellect"] = 1;
		["Juju Guile"] = 1;
		["Spirit"] = 1;
		["Divine Spirit"] = 1;
		["Prayer of Spirit"] = 1;
		["Agility"] = 2;
		["Fire Shield"] = 2;
		["Thorns"] = 3;
		["Strength"] = 4;
		["Stamina"] = 5;
	};
};

local REMOVEUSELESSBUFFS_BUFF_DATABASE_CASTERS = {
	["Blessing of Might"] = 1;
	["Greater Blessing of Might"] = 1;
	["Juju Flurry"] = 1;
	["Juju Might"] = 1;
	{"Juju Power"] = 1;
	["Fire Shield"] = 1;
	["Thorns"] = 1;
	["Strength"] = 1;
	["Agility"] = 2;
	["Juju Escape"] = 2;
	["Stamina"] = 5;
	["Intellect"] = 5;
	["Spirit"] = 5;
};

local REMOVEUSELESSBUFFS_CASTERS = {
	"MAGE";
	"PRIEST";
	"WARLOCK";
};
for key, value in REMOVEUSELESSBUFFS_BUFF_DATABASE_CASTERS do
	for k, v in REMOVEUSELESSBUFFS_CASTERS do
		if ( not REMOVEUSELESSBUFFS_BUFF_DATABASE[v][key] ) then
			REMOVEUSELESSBUFFS_BUFF_DATABASE[v][key] = value;
		end
	end
end
REMOVEUSELESSBUFFS_CASTERS = nil;
REMOVEUSELESSBUFFS_BUFF_DATABASE_CASTERS = nil;


REMOVEUSELESSBUFFS_SLASHCOMMANDS = {
	"/rub";
	"/removeuselessbuffs";
	"/removeuselessbuff";
};


REMOVEUSELESSBUFFS_REMOVED_BUFF_MESSAGE = "RUB: Removed %s.";

REMOVEUSELESSBUFFS_MSG_STATE = "RUB: Buff removal messages %s.";
REMOVEUSELESSBUFFS_STATE_ENABLED = "enabled";
REMOVEUSELESSBUFFS_STATE_DISABLED = "disabled";
